[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: openssl updates



On Sat, 2006-09-30 at 22:50 -0600, Michal Jaegermann wrote:

> You cannot update an i386 (or compatible arch like i686) package
> with x86_64 package or vice-versa.  If you have already installed
> both (multilib situation) then you have to do both updates in
> one transaction.  Something like
> 
>         rpm -Fvh openssl*{686,x86_64}.rpm
> 
> Otherwise you will get conflicts.

The i686 package is already installed (although I don't think anything
is actually using it). If I try to remove it, that's rejected based on a
list of dependencies longer than my arm.

If I try to build an i686 package on the x86_64 system I get:

# rpmbuild --rebuild --target=i686 openssl-0.9.7f-7.10.3mj.src.rpm
[snip]
/usr/bin/ld: warning: i386 architecture of input file
`libcrypto.a(krb5_asn.o)' is incompatible with i386:x86-64 output
libcrypto.a(bn_word.o)(.text+0x6c): In function `BN_mod_word':
/usr/src/redhat/BUILD/openssl-0.9.7f/crypto/bn/bn_word.c:79: undefined
reference to `__umoddi3'
libcrypto.a(b_print.o)(.text+0x22d): In function `fmtint':
/usr/src/redhat/BUILD/openssl-0.9.7f/crypto/bio/b_print.c:512: undefined
reference to `__umoddi3'
libcrypto.a(b_print.o)(.text
+0x25d):/usr/src/redhat/BUILD/openssl-0.9.7f/crypto/bio/b_print.c:515:
undefined reference to `__udivdi3'
collect2: ld returned 1 exit status
make[3]: *** [do_gnu-shared] Error 1

-- 
Florin Andrei

http://florin.myip.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]